class CreateImageActus < ActiveRecord::Migration
  def change
    create_table :image_actus do |t|
      t.string :title
      t.text :description
      t.string :slug
      t.boolean :enabled, :default => false
      t.boolean :homeable, :default => false
      t.integer :position
      t.references :image_file, index: true
      t.references :image_actu_album
      t.datetime :published_at

      t.timestamps null: false
    end
    add_foreign_key :image_actus, :image_files
  end
end
